Subject: Re: undefined reference to `GetStockObject@4
From: [email-masked]

22 Mar 1998 13:49:32 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

    Add -lgdi32 to the command line. GetSotckOjbect is exported from
GDI32.DLL.

Regards.

Tomohiko Abe
[email-masked]
-

>Hello,
>
>I'm a still a newbie and I'm still having troubles.  Could someone help
>me figure out why gcc can't find GetStockObject on my configuration? 
>The command line I use is:
>gcc -ofoo.exe foo.c -lkernel32 -luser32 -Wl,--subsystem,windows 
>
>My guess is that I'm not linking a lib that I should be.  Or else, one
>of my header files or libs is missing the definition of GetStockObject,
>but that seems less likely.
>
>The line in my code that called GetStockObject is:
>wc.hbrBackground = (HBRUSH) GetStockObject(WHITE_BRUSH);
>
>Thank you,
>Jaso

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".